
#ifndef SPECTRE_GRAPHICS_FONT_FREETYPEDRIVER_H
#define SPECTRE_GRAPHICS_FONT_FREETYPEDRIVER_H

#include <ft2build.h>
#include FT_FREETYPE_H

#include "FontDriver.h"

class FreeTypeDriver : public FontDriver
{
public:
	FreeTypeDriver();
	~FreeTypeDriver();

	virtual bool setCharacterSize(unsigned int size);

	virtual bool loadFromFile(const std::string& filename);

	virtual Font::Glyph loadGlyph(unsigned int codepoint, Image& img, unsigned int outlineSize = 0);

	virtual std::string getName();

private :

	FT_Face m_face;
};

#endif /* SPECTRE_GRAPHICS_FONT_FREETYPEDRIVER_H */
